include:
  - https://gitlab.com/ubports/porting/community-ports/halium-generic-adaptation-build-tools/-/raw/halium-11/gsi-port-ci.yml

variables:
  BUILD_DEVEL_FLASHABLE_FOCAL: 1
  # For kernel build:
  BSP_BUILD_FAMILY: sharkl5Pro
  BSP_BUILD_DT_OVERLAY: y
  BSP_BUILD_ANDROID_OS: y

build:
  before_script:
    # Fix ueventd.rc permissions inside overlay
    - chmod 644 overlay/system/usr/share/halium-overlay/system/etc/ueventd.rc
